--- title: "getCloudMysqlBackupList" slug: "database-vmysql-getcloudmysqlbackuplist" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqlbackuplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlBackupList Available in VPC Get the backup list of a Cloud DB for MySQL instance. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlBackupList | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlBackupList ?regionCode=KR' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMysqlBackupList](/docs/en/common-vapidatatype-cloudmysqlbackuplist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlBackupListResponse": { "totalRows": 1, "cloudMysqlBackupList": [ { "cloudMysqlInstanceNo": "****890", "cloudMysqlServiceName": "test-****", "backupFileRetentionPeriod": 10, "backupTime": "02:00", "backupSize": 597617308, "lastBackupDate": "2024-05-24T02:05:03+0900" } ], "requestId": "32a9946d-****-****-****-2390da20749c", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 32a9946d-****-****-****-2390da20749c 0 success 1 ****890 test-**** 10 02:00 597617308 2024-05-24T02:05:03+0900 ```